Package net.shibboleth.saml.binding

# Class BindingDescriptor

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
org.opensaml.saml.common.binding.BindingDescriptor
net.shibboleth.saml.binding.BindingDescriptor

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class BindingDescriptor extends BindingDescriptor
Subclass that adds awareness of a Spring bean ID for a binding's `MessageEncoder`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`encoderBeanId`
Spring bean ID of message encoder.

## Constructor Summary

Constructors
Constructor
Description
`BindingDescriptor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoderBeanId()`
Get the Spring bean ID of the binding's `MessageEncoder`.
`void`
`setEncoderBeanId(String id)`
Set the Spring bean ID of the binding's `MessageEncoder`.

### Methods inherited from class org.opensaml.saml.common.binding.BindingDescriptor

`equals, getShortName, hashCode, isArtifact, isSignatureCapable, isSynchronous, setActivationCondition, setArtifact, setShortName, setSignatureCapable, setSynchronous, test, toString`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### encoderBeanId

@Nullable private String encoderBeanId
Spring bean ID of message encoder.

## Constructor Details

### BindingDescriptor

public BindingDescriptor()

## Method Details

### getEncoderBeanId

@Nullable public String getEncoderBeanId()
Get the Spring bean ID of the binding's `MessageEncoder`.

Returns:
  bean ID of message encoder

### setEncoderBeanId

public void setEncoderBeanId(@Nullable String id)
Set the Spring bean ID of the binding's `MessageEncoder`.

Parameters:
  `id` - bean ID of message encoder